%define	name	gtodo	
%define	version	0.13.5
%define	release	1mdk
%define	summary	TODO List manager for Gnome 2

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Office
URL:		http://gtodo.qballcow.nl/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%name.icon.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gettext libxml2-devel gtk+2-devel libGConf2-devel

%description
Gtodo is a Gtk+-2.0 Todo list manager written for use with gnome 2.
It tries to follow the hig and gnome policy as good as possible.

%prep
%setup -q 
%setup -q -a1 

%build
%configure
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%find_lang %name

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF

?package(%name): \
        command="%_bindir/%name" \
        needs="X11" \
        section="Office/Tasks management" \
        icon="%name.png" \
        title="GTodo" \
        longtitle="%summary"
EOF

%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f gtodo.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README

%{_bindir}/*
%{_datadir}/applications/%name.desktop
%{_menudir}/%name
%{_iconsdir}/*/%name.png
%{_iconsdir}/%name.png
%{_datadir}/pixmaps/*.png

%changelog
* Sat Jan 31 2004 Pascal Terjan <pterjan@mandrake.org> 0.13.5-1mdk
- First Package
